import random

ACTIONS = {'NORTH': (-1, 0), 'SOUTH': (1, 0), 'WEST': (0, -1), 'EAST': (0, 1)}
MAZE_OBJECTS = {'EMPTY', 'OBSTACLE', 'GOLD', 'START'}

class Agent:
    """
    Agent intelligence for searching the maze.
    Receives size of the maze and the maximum number of steps to find the gold in the maze.
    Agent is supplied with its position in the maze, his field of vision, gold position and number of steps passed in
    the maze when the action method is called. Based on this information, agent has to decide which action to take.
    """

    def __init__(self, maze_size, step_limit, start_position, gold_position):
        self.step_limit = step_limit
        self.maze_size = maze_size
        self.gold_position = gold_position
        self.start_position = start_position
        self.state = None

    @staticmethod
    def random_action():
        """Moves randomly"""
        return random.choice(list(ACTIONS.keys()))

    def action(self, state):
        """
        Returns action the agent takes in given state
        :param state: State of the agent
        :return: One of the actions from ACTIONS.keys()

        ===YOUR AGENT DECISION MAKING CODE GOES HERE===
        """
        return self.random_action()
